pip 安装报错ssl

版权声明:本文为博主原创文章,欢迎阅读转载,和引用。 https://blog.csdn.net/Moluth/article/details/80269763

pip 安装报错ssl


具体错误信息如下:

There was a problem confirming the ssl certificate: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] 
tlsv1 alert protocol version (_ssl.c:590) - skipping

鄙人愚钝,被该问题困扰数日,不知道该怎么办。差点急的重装系统了,今天终于找到了解决方案。

这个错误的原因是某网站不再支持TLS1.0和TLS1.1版本,pip之前的版本是使用TLS1.0或TLS1.1所以解决方案是重新安装pip。

具体操作如下:

$curl https://bootstrap.pypa.io/get-pip.py >> get-pip.py

$sudo python get-pip.py

$python3 get-pip.py

经过上面的操作后pip 和pip3都正常了

展开阅读全文

没有更多推荐了,返回首页